ipa_proxy.h File Reference

IPA Proxy. More...

`#include <memory>`
`#include <string>`
`#include <vector>`
`#include <libcamera/ipa/ipa_interface.h>`

Go to the source code of this file.

## Classes

class | libcamera::IPAProxy
| IPA Proxy. More...
class | libcamera::IPAProxyFactory
| Registration of IPAProxy classes and creation of instances. More...

## Macros

#define | REGISTER_IPA_PROXY(proxy)
| Register a IPAProxy with the IPAProxy factory. More...

## Detailed Description

IPA Proxy.

## Macro Definition Documentation

## REGISTER_IPA_PROXY

#define REGISTER_IPA_PROXY | ( |  | proxy | ) |

Value:
class proxy##Factory final : public IPAProxyFactory \
{ \
public: \
proxy##Factory() : IPAProxyFactory(#proxy) {} \
std::unique_ptr<IPAProxy> create(IPAModule *ipam) \
{ \
return std::make_unique<proxy>(ipam); \
} \
}; \
static proxy##Factory global_##proxy##Factory;

Register a IPAProxy with the IPAProxy factory.

Parameters

  [in] | proxy | Class name of IPAProxy derived class to register

Register a proxy subclass with the factory and make it available to isolate IPA modules.